﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;


/// <summary>
/// Example of a script using [HideInPrfab]
/// </summary>
public class HideInPrefabExample : MonoBehaviour {

    [Header ("Drag Me into scene to show hidden properties.")]

    [HideInPrefab]
    public float HiddenFloat = 5;   //Hidden in prefab inspector
    public float ShownFloat = 6;    //Not hidden in prefab inspector
    [HideInInspector]
    public float AlwaysHiddenFloat = 7; //Always hidden (Unity's default implementation)

    [HideInPrefab]
    public GameObject HiddenGameObject; //Hidden in Prefab inspector
    public GameObject ShownGameObject;  //NotHidden in Prefab inspector
}
